import request from '@/utils/request'

// 查询列表
export function listTurnover(query) {
  return request({
    url: '/personnel/relations/turnover/page',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getTurnover(dictId) {
  return request({
    url: '/personnel/relations/turnover/get?id=' + dictId,
    method: 'get'
  })
}

// 新增
export function addTurnover(data) {
  return request({
    url: '/personnel/relations/turnover/create',
    method: 'post',
    data: data
  })
}

// 修改
export function updateTurnover(data) {
  return request({
    url: '/personnel/relations/turnover/update',
    method: 'put',
    data: data
  })
}

// 删除
export function delTurnover(dictId) {
  return request({
    url: '/personnel/relations/turnover/delete?id=' + dictId,
    method: 'delete'
  })
}

// 导出
export function exportTurnover(query) {
  return request({
    url: '/personnel/relations/turnover/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}